use valence::{
    prelude::{Client, GameMode},
    text::{Color, TextFormat},
};

use crate::{game_state::GameState, CurrentGameState};

use super::Command;

pub fn advance_game_state(game_state: &mut CurrentGameState) {
    match game_state.0 {
        GameState::EarlyGame => {
            game_state.0 = GameState::MidGame;
            game_state.1 += 1;
        }
        GameState::MidGame => {
            game_state.0 = GameState::LateGame;
            game_state.1 += 1;
        }
        GameState::LateGame => {
            game_state.1 += 1;
        }
    }
}

pub fn game_state(client: &mut Client, game_state: &CurrentGameState) {
    client.send_message(match game_state.0 {
        GameState::EarlyGame => "Early game".italic().color(Color::GRAY),
        GameState::MidGame => "Mid game".italic().color(Color::GRAY),
        GameState::LateGame => "Late game".italic().color(Color::GRAY),
    })
}
