use valence::prelude::{Client, GameMode};

use super::Command;

pub fn run(command: Command, client: &mut Client, gamemode: &mut GameMode) {
    if let Some(args) = command.args {
        match args[0].as_str() {
            "survival" | "s" | "0" => *gamemode = GameMode::Survival,
            "creative" | "c" | "1" => *gamemode = GameMode::Creative,
            "adventure" | "a" | "2" => *gamemode = GameMode::Adventure,
            "spectator" | "sp" | "3" => *gamemode = GameMode::Spectator,
            _ => client.send_message(format!("Gamemode {} cannot be switched to", args[0])),
        }
    } else {
        client.send_message(format!(
            "Your current gamemode is {}",
            match *gamemode {
                GameMode::Survival => "Survival",
                GameMode::Creative => "Creative",
                GameMode::Adventure => "Adventure",
                GameMode::Spectator => "Spectator",
            }
        ))
    }
}
