use valence::prelude::*;

use crate::CurrentGameState;

#[derive(Clone, Debug)]
pub enum GameState {
    EarlyGame,
    MidGame,
    LateGame,
}

pub fn game_state_update(mut game_state: ResMut<CurrentGameState>) {
    match game_state.0 {
        GameState::EarlyGame => {
            game_state.0 = GameState::MidGame;
            game_state.1 += 1;
        }
        GameState::MidGame => {
            game_state.0 = GameState::LateGame;
            game_state.1 += 1;
        }
        GameState::LateGame => {
            game_state.1 += 1;
        }
    }
}
